Module gengeo :: Class InsertGenerator2D

[hide private]
[frames] | no frames]

# Class InsertGenerator2D

     object --+
              |
    ??.instance --+
                  |
       AGenerator2D --+
                      |
                     InsertGenerator2D

Known Subclasses:
  - HexAggregateInsertGenerator2D

A particle packing algorithm for filling an AVolume2D space

Instance Methods | [hide private]

void

__init__(...) Initialises a particle packer in preparation for filling an AVolume2D with particles whose radii are in the specified range. |

__str__(...) str(x) |

void

generatePacking(...) Generates a particle assembly to fill the specified area. |

setOldSeeding(...) Sets seeding behavior to the older method. |

Inherited from `AGenerator2D`: `__reduce__` Inherited from `unreachable.instance`: `__new__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| __instance_size__ = `52`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(...)
(Constructor)

Initialises a particle packer in preparation for filling an AVolume2D with particles whose radii are in the specified range. The packing will terminate after the specified number of insertion failures. The iterative solver will compute only the specified maximum number of iterations. Particles are permitted to overlap by the specified tolerance.

Parameters:
  - `minRadius` (double) - the minimum radius of particles to pack
  - `maxRadius` (double) - the maximum radius of particles to pack
  - `insertFails` (int) - the number of particle insertion failures before the packer terminates
  - `maxIterations` (int) - the maximum number of iterations of the solver
  - `tolerance` (double) - the overlap tolerance permitted
  - `seed` (bool) - randomize the random number generator if True (optional)
Returns: void
Overrides: object.__init__

### __str__(...)
(Informal representation operator)

str(x)

Overrides: object.__str__
  (inherited documentation)

### generatePacking(...)

Generates a particle assembly to fill the specified area.

Parameters:
  - `volume` (AVolume2D) - the area to fill with particles
  - `ntable` (MNTable2D) - the neighbours table that particles are inserted into
  - `groupID` (int) - the group ID assigned to particles (default: 0)
  - `tag` (int) - the tag assigned to particles
Returns: void

### setOldSeeding(...)

Sets seeding behavior to the older method.

Parameters:
  - `old` (bool) - toggle between old and new seeding methods.